New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Powershell Core 6.1 - Module refuses to load #557

Open
Zsoldier opened this Issue Oct 16, 2018 · 2 comments

Comments

Projects
None yet
2 participants
@Zsoldier

Zsoldier commented Oct 16, 2018

The PowerShell Core Beta has known issues that cause PowerNSX to fail. Refusing to load module.

6.1 is general release now. Any ideas as to where the code breaks for 6.1? Haven't dug into it yet, but it is definitely starting to get annoying.

@Zsoldier

This comment has been minimized.

Zsoldier commented Oct 16, 2018

Changing line 82 to this fixed my issues:
if ( ( $script:PNsxPSTarget -eq "Core" ) -and ( $PSVersionTable.GitCommitId -notmatch '^v6.[\d].[\d]+$|6.[\d].[\d]+$') )

Appears as if gitcommitid formatting changed from 6.0 to 6.1.

@nmbradford

This comment has been minimized.

Contributor

nmbradford commented Oct 16, 2018

@dcoghlan Isnt the git commitid only included to exclude certain earlier versions of Core Beta? We should probably make the check explicit for GA Core and remove the explicit check for commit id?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment